From: Felix Fietkau <nbd@openwrt.org>
Date: Sat, 21 Apr 2012 20:34:48 +0000 (+0000)
Subject: netifd: improve error handling in legacy script compatibility library, do not fill... 
X-Git-Tag: reboot~14185
X-Git-Url: http://git.cdn.openwrt.org/?a=commitdiff_plain;h=f37deb2b1b95489ac2738bca2b00c546bf76db12;p=openwrt%2Fopenwrt.git

netifd: improve error handling in legacy script compatibility library, do not fill the log with error messages for interfaces that could not be found

SVN-Revision: 31432
---

diff --git a/package/netifd/files/lib/network/config.sh b/package/netifd/files/lib/network/config.sh
index 287124de66..3b3ae93404 100755
--- a/package/netifd/files/lib/network/config.sh
+++ b/package/netifd/files/lib/network/config.sh
@@ -27,8 +27,8 @@ unbridge() {
 
 ubus_call() {
 	json_init
-	local _data="$(ubus call "$1" "$2")"
-	[ $? -ne 0 ] && return "$?"
+	local _data="$(ubus -S call "$1" "$2")"
+	[ -z "$_data" ] && return 1
 	json_load "$_data"
 	return 0
 }
@@ -43,7 +43,7 @@ fixup_interface() {
 	config_get device "$config" device "$ifname"
 	[ "bridge" = "$type" ] && ifname="br-$config"
 	config_set "$config" device "$ifname"
-	ubus_call "network.interface.$config" status
+	ubus_call "network.interface.$config" status || return 0
 	json_get_var l3dev l3_device
 	[ -n "$l3dev" ] && ifname="$l3dev"
 	json_init